Package org.eclipse.net4j.util.io

# Class XORStreamWrapper

java.lang.Object
org.eclipse.net4j.util.io.XORStreamWrapper

All Implemented Interfaces:
  `IStreamWrapper`

public class XORStreamWrapper extends Object implements IStreamWrapper

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.IStreamWrapper

`IStreamWrapper.Factory`

## Constructor Summary

Constructors
Constructor
Description
`XORStreamWrapper(int[] key)`

## Method Summary

Modifier and Type
Method
Description
`void`
`finishInputStream(InputStream in)`
`void`
`finishOutputStream(OutputStream out)`
`int[]`
`getKey()`
`XORInputStream`
`wrapInputStream(InputStream in)`
`XOROutputStream`
`wrapOutputStream(OutputStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XORStreamWrapper

public XORStreamWrapper(int[] key)

## Method Details

### getKey

public int[] getKey()

### wrapInputStream

public XORInputStream wrapInputStream(InputStream in) throws IOException

Specified by:
  `wrapInputStream` in interface `IStreamWrapper`
Throws:
  `IOException`

### wrapOutputStream

public XOROutputStream wrapOutputStream(OutputStream out) throws IOException

Specified by:
  `wrapOutputStream` in interface `IStreamWrapper`
Throws:
  `IOException`

### finishInputStream

public void finishInputStream(InputStream in) throws IOException

Specified by:
  `finishInputStream` in interface `IStreamWrapper`
Throws:
  `IOException`

### finishOutputStream

public void finishOutputStream(OutputStream out) throws IOException

Specified by:
  `finishOutputStream` in interface `IStreamWrapper`
Throws:
  `IOException`